Invoices

GET/billing/invoices

List invoices

Request

GET/billing/invoices
curl -G https://YOUR_DOMAIN/api/billing/invoices \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/billing/invoices

Create an invoice

Optional attributes

  • Name
    charge_ids
    Type
    array<integer>
    Description
    Optional array of charge IDs to include in the invoice. If omitted, all uninvoiced charges will be included.

Request

POST/billing/invoices
curl -X POST https://YOUR_DOMAIN/api/billing/invoices \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "charge_ids": []
}'
Loading response...
POST/billing/invoices/{invoice}/finalize

Finalize an invoice

Locks a draft invoice, preventing further modification to its charges. Once finalized, the invoice will be queued for creation on Stripe. This is a required step before attempting to collect payment.

Required attributes

  • Name
    invoice
    Type
    integer
    Description
    The ID of the invoice to finalize 2

Request

POST/billing/invoices/{invoice}/finalize
curl -X POST https://YOUR_DOMAIN/api/billing/invoices/{invoice}/finalize \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/billing/invoices/{invoice}/collect

Collect payment for an invoice

Triggers an immediate charge attempt against the merchant's credit card on file for a finalized invoice. The invoice must be finalized before collection can be attempted. If the invoice has not yet been created on Stripe, this endpoint will create and finalize it on Stripe before attempting collection.

Required attributes

  • Name
    invoice
    Type
    integer
    Description
    The ID of the invoice to collect payment for 2

Request

POST/billing/invoices/{invoice}/collect
curl -X POST https://YOUR_DOMAIN/api/billing/invoices/{invoice}/collect \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...